Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029492
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] K. Packagingminoralways2015-04-01 14:362017-03-15 20:21
ReporteraldoescobView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revisionfeb12dbe0440
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.7.0_45
OS VersionCentOS 6.4Database version8.4.18Ant version1.7.1
Product Version3.0PR14Q3.5SCM revision3.0.24063 
Review Assigned Tocaristu
Web browserGoogle Chrome, Mozilla Firefox
ModulesOpenbravo 3.0 Framework
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029492: Wrong export of a view

DescriptionOpenbravo exports bad a view (with ant export.database), what causes rebuild error. I created a SRCT_INVOICE_DDPPRL (view in the attached file)
Steps To ReproduceCreate view (in the example without some columns no-standard)in the database (and Openbravo Application Dictionary) and export it, try reinstall the module.
Proposed SolutionI changed xml file content and it works, but I think it will generate error in the future in the ant export.database with the module.
TagsNo tags attached.
Attached Filestxt file icon ERROR_CORCHETE.txt [^] (27,542 bytes) 2015-04-01 14:36 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0029444 acknowledgedplatform SETOF error due to wrong export of function 
has duplicate defect 0035393 closedplatform IN clause in view not properly exported using postgresql 
related to defect 0031149 acknowledgedplatform "minus" word in PL function shows warning when exporting db 
related to design defect 0025433 acknowledgedplatform Script export.database changes return type stored procedure 
related to backport 00354673.0PR17Q1 closedalostale Wrong export of a view 
related to defect 0035474 closedalostale Function based indexes do not support arithmetic operations on columns 
blocks defect 0035341 closedmcobas Wrong orders shown in "Create Invoices From Orders" window 

-  Notes
(0082565)
aldoescob (reporter)
2015-12-03 22:14
edited on: 2015-12-03 22:16

look at that "]" in "...8B723BF2C23E3774A']))..." in the Original xml file's content generated in export.database; this "]" generates error when the module is installed

(0094686)
alostale (developer)
2017-03-02 14:05

This is caused because of how PG internally stores the view once created. Regardless the original statement used for its creation, PG does some transformation not being possible to retrieve the original code.
(0094846)
hgbot (developer)
2017-03-09 09:03

Repository: erp/devel/pi
Changeset: 4e1a7fb052d2527f1419e9c9394f2bba4d8edc3c
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Mar 09 09:02:05 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4e1a7fb052d2527f1419e9c9394f2bba4d8edc3c [^]

fixed bug 29492: views with several IN or NOT IN clasues fail in PG

  In PG, views that contain more than one IN or NOT IN clauses were not correctly
  exported.

  The regexps that parses and PG IN and NOT IN clauses was including from the begining
  of 1st clause till the end of the last one.

  These regexps have been fixed to be more restrictive so that they stop looking
  for the IN contents on first ].

---
M src-db/database/lib/dbsourcemanager.jar
---
(0094872)
hgbot (developer)
2017-03-09 12:45

Repository: erp/devel/dbsm-main
Changeset: 9417f8656b488bbb678c4e7049fd3d0f1ab600b5
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Mar 09 08:56:11 2017 +0100
URL: http://code.openbravo.com/erp/devel/dbsm-main/rev/9417f8656b488bbb678c4e7049fd3d0f1ab600b5 [^]

related to bug 29492: added test cases

  Added failing (before fix 29492) test cases: views with more than one IN or
  NOT IN clauses are not correctly converted in PG.

---
M src-test/src/org/openbravo/dbsm/test/model/Views.java
A src-test/model/views/IN_VIEW.xml
A src-test/model/views/NOT_IN_VIEW.xml
---
(0094873)
hgbot (developer)
2017-03-09 12:45

Repository: erp/devel/dbsm-main
Changeset: feb12dbe044016971306fec49b52a8934d15a135
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Mar 09 08:59:50 2017 +0100
URL: http://code.openbravo.com/erp/devel/dbsm-main/rev/feb12dbe044016971306fec49b52a8934d15a135 [^]

fixed bug 29492: views with several IN or NOT IN clasues fail in PG

  In PG, views that contain more than one IN or NOT IN clauses were not correctly
  exported.

  The regexps that parses and PG IN and NOT IN clauses was including from the begining
  of 1st clause till the end of the last one.

  These regexps have been fixed to be more restrictive so that they stop looking
  for the IN contents on first ].

---
M src/org/apache/ddlutils/platform/postgresql/PostgreSQLStandarization.java
---
(0094878)
caristu (developer)
2017-03-09 14:15

Code reviewed + tested OK in pi@7c508cdd7e2e
(0095280)
hudsonbot (developer)
2017-03-15 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-04-01 14:36 aldoescob New Issue
2015-04-01 14:36 aldoescob Assigned To => shuehner
2015-04-01 14:36 aldoescob File Added: ERROR_CORCHETE.txt
2015-04-01 14:36 aldoescob Web browser => Google Chrome, Mozilla Firefox
2015-04-01 14:36 aldoescob Modules => Openbravo 3.0 Framework
2015-04-01 14:36 aldoescob Triggers an Emergency Pack => No
2015-05-12 16:46 shuehner Assigned To shuehner => platform
2015-11-10 16:30 alostale Relationship added related to 0029444
2015-11-10 16:30 alostale Status new => acknowledged
2015-11-10 16:32 alostale Relationship added related to 0031149
2015-11-10 16:50 alostale Relationship added related to 0025433
2015-12-03 22:14 aldoescob Note Added: 0082565
2015-12-03 22:16 aldoescob Note Edited: 0082565 View Revisions
2017-03-02 14:05 alostale Web browser Google Chrome, Mozilla Firefox => Google Chrome, Mozilla Firefox
2017-03-02 14:05 alostale Note Added: 0094686
2017-03-02 14:05 alostale Type defect => design defect
2017-03-02 14:06 alostale Relationship added has duplicate 0035393
2017-03-09 09:03 hgbot Checkin
2017-03-09 09:03 hgbot Note Added: 0094846
2017-03-09 09:03 hgbot Status acknowledged => resolved
2017-03-09 09:03 hgbot Resolution open => fixed
2017-03-09 09:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4e1a7fb052d2527f1419e9c9394f2bba4d8edc3c [^]
2017-03-09 09:03 alostale Assigned To platform => alostale
2017-03-09 09:03 alostale Review Assigned To => caristu
2017-03-09 09:03 alostale Web browser Google Chrome, Mozilla Firefox => Google Chrome, Mozilla Firefox
2017-03-09 12:34 vmromanos Relationship added blocks 0035341
2017-03-09 12:45 hgbot Checkin
2017-03-09 12:45 hgbot Note Added: 0094872
2017-03-09 12:45 hgbot Checkin
2017-03-09 12:45 hgbot Note Added: 0094873
2017-03-09 12:45 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/4e1a7fb052d2527f1419e9c9394f2bba4d8edc3c [^] => http://code.openbravo.com/erp/devel/dbsm-main/rev/feb12dbe044016971306fec49b52a8934d15a135 [^]
2017-03-09 12:53 alostale Issue cloned 0035467
2017-03-09 12:54 alostale Relationship added related to 0035467
2017-03-09 14:15 caristu Note Added: 0094878
2017-03-09 14:15 caristu Status resolved => closed
2017-03-09 14:15 caristu Fixed in Version => 3.0PR17Q2
2017-03-10 13:49 alostale Relationship added related to 0035474
2017-03-15 20:21 hudsonbot Checkin
2017-03-15 20:21 hudsonbot Note Added: 0095280


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker